Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Organization
  • Organization bulk operations
  • Customer
  • Customer bulk operations
  • Product
  • Entitlement
  • CSM Request
  • Task
Cloud
Customer Service Management / Reference / REST API

CSM Request

Postman Collection
OpenAPI

This resource represents CSM requests. Use this to create requests from external systems via the intake channel.

POST

Create CSM request from external intake channel

Creates a CSM request from an external source. This endpoint allows external systems to submit requests programmatically to your customer experience project.

Authentication: This endpoint supports all authentication types including OAuth 2.0 (2LO), API token, and session authentication. Note that scopes only apply to OAuth and API token authentication.

Reporter Email Behavior:

  • When using 2LO authentication without specifying an email, the request is created on behalf of the caller.
  • When using 2LO authentication with an email, the specified user becomes the reporter.
  • For API token and session authentication, only agents can specify a reporter email. Non-agents will receive a 403 Forbidden error if they attempt to set this field.

Metadata: You can optionally include a metadata object to provide additional context about the request. The metadata object must only contain primitive values (string, int and boolean). Nested objects or arrays are not supported and will result in a 400 Bad Request error.

Permissions required:

  • OAuth authentication: write:csm-request:jira-service-management scope
  • API token authentication: write:csm-request:jira-service-management scope
  • Session authentication: Authenticated user
  • To set reporter email (non-2LO): Jira Service Management agent
write:csm-request:jira-service-management

Request

Request bodyapplication/json

helpCenterId

string

Required
origin

string

Required
summary

string

Required
description

string

reporterEmail

string

metadata

object

Responses

Returns details of the created CSM request.

application/json

ExternalFormIntakeResponse

Response containing the created CSM request details

POST/api/v1/request/form/external
1 2 3 4 5 6 7 8 9 10 11 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/request/form/external' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "helpCenterId": "f17913e0-58f9-4be7-b6e6-a10ca70ccb55", "origin": "amazon-voice", "summary": "Unable to access application", "description": "I am unable to login to the application. The error message says 'Invalid credentials'." }'
200Response
1 2 3 4 5 6 { "id": "f17913e0-58f9-4be7-b6e6-a10ca70ccb55", "key": "SD-123", "helpCenterId": "b84c574b-3b0e-49b5-a43b-718d74370de7", "link": "https://example.atlassian.net/servicedesk/customer/portal/1/SD-123" }
POST

Update issue with a comment

Adds a comment to an existing issue in your customer experience project. This endpoint allows external systems to programmatically add comments with configurable visibility.

Authentication: This endpoint supports all authentication types including OAuth 2.0 (2LO), API token, and session authentication. Note that scopes only apply to OAuth and API token authentication.

Permissions required:

  • OAuth authentication: write:csm-request:jira-service-management scope
  • API token authentication: write:csm-request:jira-service-management scope
  • Session authentication: Authenticated user
write:csm-request:jira-service-management

Request

Path parameters

helpCenterId

string

Required
issueIdOrKey

string

Required

Request bodyapplication/json

body

object

public

boolean

Responses

Returns id of the comment added

application/json

IssueCommentResponse

Response containing the info of the added comment

POST/api/v1/request/form/helpcenter/{helpCenterId}/issue/{issueIdOrKey}/comment
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/request/form/helpcenter/{helpCenterId}/issue/{issueIdOrKey}/comment' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "body": { "type": "doc", "version": 1, "content": [ { "type": "paragraph", "content": [ { "type": "text", "text": "This is a comment." } ] } ] }, "public": false }'
200Response
1 2 3 { "id": "f17913e0-58f9-4be7-b6e6-a10ca70ccb55" }

Rate this page: